package com.thinkgem.jeesite.modules.user.entity;


import com.fasterxml.jackson.annotation.JsonIgnore;
import com.thinkgem.jeesite.common.baseBean.BaseEntity;

import java.io.Serializable;

public class IdentityCodeEntity extends BaseEntity implements Serializable {
    @JsonIgnore
    private String function; // 获取验证码的功能 1注册 2验证码登录 3忘记密码/修改密码 4实名认证 5添加储蓄卡 6添加信用卡
    @JsonIgnore
    private String mobile; // 手机号
    private String identityCode; // 验证码

    public IdentityCodeEntity() {
    }

    public IdentityCodeEntity(String code, String function, String mobile, String identityCode) {
        setCode(code);
        this.function = function;
        this.mobile = mobile;
        this.identityCode = identityCode;
    }

    public String getFunction() {
        return function;
    }

    public void setFunction(String function) {
        this.function = function;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getIdentityCode() {
        return identityCode;
    }

    public void setIdentityCode(String identityCode) {
        this.identityCode = identityCode;
    }
}
